Subject: bug#79201: 30.1.90; set-process-thread can permanently break fd_callback_info slots

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Aug 2025 20:26:38 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>    [email-masked]
> Date: Mon, 11 Aug 2025 13:20:05 -0400
> 
> Yes, sorry, I missed that there are two separate mechanisms.  I think
> set-process-thread should continue setting the thread member of the
> process object, but not the thread member of the fd_callback_info struct.

Why not?  set-process-thread can be called when the descriptors for
the process are already set up.  That's unlike make-process, which
indeed doesn't set the .thread member of the descriptors.

> Yes.  Let's just make set-process-thread stop setting the thread member
> of the fd_callback_info struct.

I don't agree it shouldn't see above.  What problems do you see as the
result of that?